| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CacheChangeWriterInfo_t Struct Reference

Specific information for a writer. More...

`#include <CacheChange.hpp>`

## Public Attributes

size_t | num_sent_submessages = 0
| Number of DATA / DATA_FRAG submessages sent to the transport (only used in Writers).
CacheChange_t *volatile | previous = nullptr
| Used to link with previous node in a list.
CacheChange_t *volatile | next = nullptr
| Used to link with next node in a list.
std::atomic_bool | is_linked {false}
| Used to know if the object is already in a list.

## Detailed Description

Specific information for a writer.

## Member Data Documentation

## ◆ is_linked

std::atomic_bool is_linked {false}

Used to know if the object is already in a list.

## ◆ next

CacheChange_t* volatile next = nullptr

Used to link with next node in a list.

Used by FlowControllerImpl. Cannot be cached because there are several comparisons without locking.

## ◆ num_sent_submessages

size_t num_sent_submessages = 0

Number of DATA / DATA_FRAG submessages sent to the transport (only used in Writers).

## ◆ previous

CacheChange_t* volatile previous = nullptr

Used to link with previous node in a list.

Used by FlowControllerImpl. Cannot be cached because there are several comparisons without locking.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/CacheChange.hpp